%define qtdir /usr/lib/qt-1.45
%define kdeprefix /usr

Name: kdevelop
Summary: Integrated Development Environment for C++/C
Version: 1.2
Release: 12j1
Source: ftp://129.187.206.68/pub/unix/ide/KDevelop/kdevelop-%{version}.tar.bz2
Source1: ftp://129.187.206.68/pub/unix/ide/KDevelop/c_cpp_reference-1.0.tar.gz
Patch0: kdevelop-1.2-ltconfig.patch
URL: http://www.kdevelop.org/
Group: Development/Tools
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL
Requires: kdesupport-devel, kdelibs-devel, make, perl >= 5.004, autoconf >= 2.13
Requires: automake >= 1.4 flex >= 2.5.4
BuildPrereq: autoconf, automake, libtool, kdesupport-devel, kdelibs-devel, compat-egcs-c++
Obsoletes: kdevelop-c_c++_ref
Prefix: %{kdeprefix}
ExcludeArch: ia64

%description
The KDevelop Integrated Development Environment provides many features
that developers need as well as providing a unified interface to programs
like gdb, the C/C++ compiler, and make. KDevelop manages or provides:

All development tools needed for C++ programming like Compiler,
Linker, automake and autoconf; KAppWizard, which generates complete,
ready-to-go sample applications; Classgenerator, for creating new
classes and integrating them into the current project; File management
for sources, headers, documentation etc. to be included in the
project; The creation of User-Handbooks written with SGML and the
automatic generation of HTML-output with the KDE look and feel;
Automatic HTML-based API-documentation for your project's classes with
cross-references to the used libraries; Internationalization support
for your application, allowing translators to easily add their target
language to a project;

KDevelop also includes WYSIWYG (What you see is what you get)-creation
of user interfaces with a built-in dialog editor; Debugging your
application by integrating KDbg; Editing of project-specific pixmaps
with KIconEdit; The inclusion of any other program you need for
development by adding it to the "Tools"-menu according to your
individual needs.

%prep
%setup -q -a 1
%patch0 -p1 -b .ltconfig

%build
export QTDIR=%{qtdir}
export KDEDIR=%{kdeprefix}
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
FLAGS="$RPM_OPT_FLAGS -DNDEBUG -DNO_DEBUG"

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
./configure --prefix=%{kdeprefix} \
  --x-libraries=/usr/X11R6/lib \
  --x-includes=/usr/X11R/include \
  --with-qtdoc-dir=%{_docdir}/qt1x-devel-1.45 \
  --with-kdelibsdoc-dir=%{_docdir}/kdelibs-devel-1.1.2

make -j $CPUS CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

cd c_cpp_reference-1.0
CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib" \
./configure --prefix=%{kdeprefix}
cd -

%install
rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install-strip
make -C c_cpp_reference-1.0 DESTDIR=$RPM_BUILD_ROOT install 

cd $RPM_BUILD_ROOT
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type f | sed -e 's,^\.,\%attr(-\,root\,root) ,' \
	-e '/\/config\//s|^|%config|' >> \
	$RPM_BUILD_DIR/file.list.%{name}

find . -type l | sed 's,^\.,\%attr(-\,root\,root) ,' >> \
	$RPM_BUILD_DIR/file.list.%{name}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT $RPM_BUILD_DIR/file.list.%{name}

%files -f ../file.list.%{name}

%changelog
* Fri Sep 01 2000 Yukihiro Nakai <ynakai@redhat.com>
- Just rebuild on 7.0

* Sun Aug 13 2000 Than Ngo <than@redhat.com>
- fix kdelibsdoc-dir to show kdelibs-1.1.2 html docu correct

* Tue Aug 01 2000 Than Ngo <than@redhat.de>
- add missing ldconfig in %post and %postun section (Bug #14924)
- add missing C references stuff to kdevelop

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++, put KDE1 under /usr
- cleanup specfile

* Tue Jul 25 2000 Than Ngo <than@redhat.de>
- fix dependency problem

* Wed Jul 19 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-libstdc++

* Mon Jul 17 2000 Than Ngo <than@redhat.de>
- install under /usr/share instead /usr/lib/kde1-compat/share,
  fix dependency problem

* Sat Jul 15 2000 Than Ngo <than@redhat.de>
- rebuilt with egcs-c++-1.1.2

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Mon Jul 03 2000 Than Ngo <than@redhat.de>
- fix docdir
- add requires kdebase

* Sun Jul 02 2000 Than Ngo <than@redhat.de>
- rebuilt with  kde1-compat

* Sun Jun 18 2000 Than Ngo <than@redhat.de>
- rebuilt in the new build environment, fix docdir
- FHS packaging

* Thu Jun 08 2000 Than Ngo <than@redhat.de>
- update to 1.2
- move from powertools to main CD
- use %%configure

* Mon Apr 3 2000 Ngo Than <than@redhat.de>
- fix up reference (Bug #10368)

* Tue Feb 15 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Fix up documentation path (Bug #7291)
- Update to current stable branch - this should fix up the debugger problem
- clean up spec file

* Fri Jan  6 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current stable branch
- Adapt to 6.2 Qt libraries
- Use BuildPrereq

* Wed Jan 05 2000 Ngo Than <than@redhat.de>
- added patch for alpha

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated kdevelop-1.0 release

* Tue Nov 16 1999 Preston Brown <pbrown@redhat.com>
- kdevelop 1.0beta4.1, docdir added, using DESTDIR env. variable.

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- initial packaging for 6.1.
